
Redmine - Defect #34922

Reload whole time entries form on project change

2021-03-18 10:42 - Felix Schäfer

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

Currently parts of the time entries form is reloaded when changing the project/project id, see 

source:/trunk/app/views/timelog/_form.html.erb@20821#L41

This however does not change and restore custom fields for example for time entries.

We think this should be changed to reload the whole time entries form similar to what is done for issue forms, see 

source:/trunk/app/views/issues/_form.html.erb@20821#L15

Do you think this would be a good addition to Redmine or should this be done another way?

History

#1 - 2022-01-05 04:47 - Go MAEDA

- Status changed from New to Confirmed

I have confirmed the issue. The steps to reproduce is the follows:

1. Create a project and add a user as a member of the project. Let's say this project as P1 the user's role in the project P1 as R1

2. Create another project and add the user as a member with another role. Let's say this project as P2 and the role as R2

3. Create a Spent time custom field and set the visibility of the custom field to only the role R1

4. Sign in as the user and navigate to the project P1. And then log time

5. Click "Edit" of the newly created time entry. You will see the custom field on the form

6. Change the project from P1 to P2 on the form. The custom field should disappear because the user's role in the project P2 is R2 and the custom

field is not visible to the role R2. Actually, it does not disappear

#2 - 2022-01-25 06:36 - Yuichi HARADA

- File 34922.patch added

Felix Schäfer wrote:

We think this should be changed to reload the whole time entries form similar to what is done for issue forms, see 

source:/trunk/app/views/issues/_form.html.erb@20821#L15

Do you think this would be a good addition to Redmine or should this be done another way?

 I created the patch with reference to source:/trunk/app/views/issues/_form.html.erb@20821#L15.

#3 - 2022-02-03 08:14 - Go MAEDA

- Target version set to Candidate for next major release

Files

34922.patch 7.77 KB 2022-01-25 Yuichi HARADA
